apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert
    kompose.version: 1.34.0 (cbf2835db)
  labels:
    io.kompose.service: nginx
  name: nginx
  namespace: reymota
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: nginx
  strategy:
    type: Recreate
  template:
    metadata:
      annotations:
        kompose.cmd: kompose convert
        kompose.version: 1.34.0 (cbf2835db)
      labels:
        io.kompose.service: nginx
    spec:
      containers:
        - image: $REGISTRY/nginx-reymota-$ARQUITECTURA:$IMG_NGINX_VERSION
          name: nginx
          ports:
            - containerPort: 80
              protocol: TCP
          volumeMounts:
            - mountPath: /app/reymota/staticfiles
              name: static-volume
            - mountPath: /app/reymota/mediafiles
              name: reymota-media
      imagePullSecrets:
      - name: myregistrykey
      restartPolicy: Always
      volumes:
        - name: static-volume
          persistentVolumeClaim:
            claimName: static-volume
        - name: reymota-media
          persistentVolumeClaim:
            claimName: reymota-media
